/* implements grep -o <char> <file> funtionality */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/wait.h>

int main(int argc, char *argv[]) {
    if (argc != 3) {
        fprintf(stderr, "usage: %s <character> <filename>\n", argv[0]);
        exit(EXIT_FAILURE);
    }

    char *character = argv[1];
    char *filename = argv[2];

    if (character[1] != '\0') {
        fprintf(stderr, "error: only input a single character\n");
        exit(EXIT_FAILURE);
    }

    // create child process with fork

    // In child process
    // use execl to run `grep -o <char> <filename>`

    // In parent process
    // wait for child to finish

    return 0;
}
